org.codehaus.plexus.util.cli

## Class CommandLineUtils.StringStreamConsumer

- java.lang.Object
- - org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer

All Implemented Interfaces:
  StreamConsumer

Enclosing class:
  CommandLineUtils

    public static class CommandLineUtils.StringStreamConsumer
    extends Object
    implements StreamConsumer

### Constructor Summary

Constructors
Constructor and Description
`CommandLineUtils.StringStreamConsumer()`

### Method Summary

Methods
`void` `consumeLine(String line)` Called when the StreamPumper pumps a line from the Stream.
`String` `getOutput()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandLineUtils.StringStreamConsumer

    public CommandLineUtils.StringStreamConsumer()

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Description copied from interface: `StreamConsumer`
Called when the StreamPumper pumps a line from the Stream.

Specified by:
  `consumeLine` in interface `StreamConsumer`

#### getOutput

    public String getOutput()